---
# docker-compose file for logstash
# - see https://www.elastic.co/guide/en/logstash/current/_pulling_the_image.html
#
# DOCKER_HOST=dkhost03:2376 docker-compose up -d
# DOCKER_HOST=dkhost03:2376 docker stack deploy -c docker-compose.yml services

version: '3'
services:

  logstash:
    build:
      context: .
    image: "dkregistry.xai-corp.net/services/logstash"
#    command: "elasticsearch -Des.cluster.name='es.xai-corp.net'"
#    volumes:
#      - /opt/shared/logstash/pipeline/:/usr/share/logstash/pipeline/
    ports:
#      - "9350:9350"
#      - "9300:9300"
      - "9200:9200"
#      - "10091:80"
    deploy:
      mode: replicated
      replicas: 1
      restart_policy:
        condition: any
        delay: "1s"
        max_attempts: 3
      resources:
        limits:
          cpus: '1'
          memory: 512M
